import request from '@/utils/request'

// 查询企业标准列表
export function listParts(query) {
  return request({
    url: '/system/parts/list',
    method: 'get',
    params: query
  })
}

// 查询企业标准详细
export function getParts(id) {
  return request({
    url: '/system/parts/' + id,
    method: 'get'
  })
}

// 新增企业标准
export function addParts(data) {
  return request({
    url: '/system/parts',
    method: 'post',
    data: data
  })
}

// 修改企业标准
export function updateParts(data) {
  return request({
    url: '/system/parts',
    method: 'put',
    data: data
  })
}

// 删除企业标准
export function delParts(id) {
  return request({
    url: '/system/parts/' + id,
    method: 'delete'
  })
}
